package com.alipay.demo;

import com.alipay.api.AlipayApiException;
import com.alipay.api.AlipayClient;
import com.alipay.api.DefaultAlipayClient;
import com.alipay.api.domain.AlipayTradeCancelModel;
import com.alipay.api.request.AlipayTradeCancelRequest;
import com.alipay.api.response.AlipayTradeCancelResponse;
import com.alipay.config.AlipayConfig;

/**
 * alipay.trade.cancel (统一收单交易撤销接口)
 * @author wb-wly251833
 *
 */
public class AlipayTradeCancelTest {

	public static void main(String[] args) throws AlipayApiException {
		AlipayClient alipayClient = new DefaultAlipayClient(AlipayConfig.gatewayUrl, AlipayConfig.app_id, AlipayConfig.merchant_private_key, AlipayConfig.format, AlipayConfig.charset, AlipayConfig.alipay_public_key, AlipayConfig.sign_type);
		AlipayTradeCancelRequest request = new AlipayTradeCancelRequest();
		/****************************传参方法一*********************/
		AlipayTradeCancelModel model = new AlipayTradeCancelModel();
		//订单号和支付宝交易号二选一传入即可
		model.setOutTradeNo("201708091110333");
		//model.setTradeNo("2017080921001004680200182368");
		request.setBizModel(model);
		
		/****************************传参方法二*********************
		
		 * 下面这种是老式传参写法，现在都推荐使用model，这样出错率会低很多
		 * request.setBizContent("{\"trade_no\":\"2017080921001004680200182368\" }");
		 * request.setBizContent("{\"out_trade_no\":\"201708091110333\" }");
		 */
		AlipayTradeCancelResponse response = alipayClient.execute(request);
		System.out.println(response.getBody());
	}
}
