package com.alipay.demo;

import com.alipay.api.AlipayApiException;
import com.alipay.api.AlipayClient;
import com.alipay.api.DefaultAlipayClient;
import com.alipay.api.domain.AlipayDataDataserviceBillDownloadurlQueryModel;
import com.alipay.api.request.AlipayDataDataserviceBillDownloadurlQueryRequest;
import com.alipay.api.response.AlipayDataDataserviceBillDownloadurlQueryResponse;
import com.alipay.config.AlipayConfig;

/**
 * 
 * alipay.data.dataservice.bill.downloadurl.query (查询对账单下载地址)
 * @author wb-wly251833
 *
 */
public class AlipayTradeDataserviceBillDownloadurlTest {
	
	public static void main(String[] args) throws AlipayApiException {
		AlipayClient alipayClient = new DefaultAlipayClient(AlipayConfig.gatewayUrl, AlipayConfig.app_id, AlipayConfig.merchant_private_key, AlipayConfig.format, AlipayConfig.charset, AlipayConfig.alipay_public_key, AlipayConfig.sign_type);
		AlipayDataDataserviceBillDownloadurlQueryRequest request = 	new AlipayDataDataserviceBillDownloadurlQueryRequest();
		/****************************传参方法一*********************/
		AlipayDataDataserviceBillDownloadurlQueryModel model = new AlipayDataDataserviceBillDownloadurlQueryModel();
		//账单时间：日账单格式为yyyy-MM-dd，月账单格式为yyyy-MM。
		model.setBillDate("2017-06");
		//账单类型，trade指商户基于支付宝交易收单的业务账单；signcustomer是指基于商户支付宝余额收入及支出等资金变动的帐务账单；
		model.setBillType("trade");
		request.setBizModel(model);
		/****************************传参方法二*********************
		  下面这种是老式写法，现在都推荐使用model，这样出错率会低很多
          request.setBizContent("{\"bill_type\":\"trade\",\"bill_date\":\"2017-06\"}");
         **/
		AlipayDataDataserviceBillDownloadurlQueryResponse response = alipayClient.execute(request);
		System.out.println("账单下载地址链接(BillDownloadUrl):"+response.getBillDownloadUrl());
		if(response.isSuccess()){
		System.out.println("调用成功");
		} else {
		System.out.println("调用失败");
		}
		
	}

}
