package com.alipay.demo;

import com.alipay.api.AlipayApiException;
import com.alipay.api.AlipayClient;
import com.alipay.api.DefaultAlipayClient;
import com.alipay.api.domain.AlipayTradeRefundModel;
import com.alipay.api.request.AlipayTradeRefundRequest;
import com.alipay.api.response.AlipayTradeRefundResponse;
import com.alipay.config.AlipayConfig;

/**
 * 
 * alipay.trade.refund (统一收单交易退款接口)
 * @author wb-wly251833
 *
 */
public class AlipayTradeFefundTest {
	public static void main(String[] args) throws AlipayApiException {
		AlipayClient alipayClient = new DefaultAlipayClient(AlipayConfig.gatewayUrl, AlipayConfig.app_id, AlipayConfig.merchant_private_key, AlipayConfig.format, AlipayConfig.charset, AlipayConfig.alipay_public_key, AlipayConfig.sign_type);
		AlipayTradeRefundRequest request = new AlipayTradeRefundRequest();
		AlipayTradeRefundModel model = new AlipayTradeRefundModel();
		//外部订单号
		model.setOutTradeNo("21070921129550562525");
		//退款金额
		model.setRefundAmount("0.02");
		//标识一次退款请求，同一笔交易多次退款需要保证唯一，如需部分退款，则此参数必传。
		model.setOutRequestNo("HZ01RF2221");
		request.setBizModel(model);
		AlipayTradeRefundResponse response = alipayClient.execute(request);
		if(response.isSuccess()){
			System.out.println("调用成功");
		} else {
			System.out.println("调用失败");
		}
		System.out.println(response.getBody());
	}	

	
}
