package com.alipay.demo;

import com.alipay.api.AlipayApiException;
import com.alipay.api.AlipayClient;
import com.alipay.api.DefaultAlipayClient;
import com.alipay.api.domain.AlipayTradePrecreateModel;
import com.alipay.api.request.AlipayTradePrecreateRequest;
import com.alipay.api.response.AlipayTradePrecreateResponse;
import com.alipay.config.AlipayConfig;

/**
 * 
 * alipay.trade.precreate (统一收单线下交易预创建)
 * @author wb-wly251833
 */
public class AlipayTradePrecreateTest {
	
	public static void main(String[] args) throws AlipayApiException {
		AlipayClient alipayClient = new DefaultAlipayClient(AlipayConfig.gatewayUrl, AlipayConfig.app_id, AlipayConfig.merchant_private_key, AlipayConfig.format, AlipayConfig.charset, AlipayConfig.alipay_public_key, AlipayConfig.sign_type);
		AlipayTradePrecreateRequest request = new AlipayTradePrecreateRequest();
		/****************************传参方法一*********************/
		AlipayTradePrecreateModel model = new AlipayTradePrecreateModel();
		//out_trade_no（订单号）必须是唯一的，测试一次必须修改新的订单号
		model.setOutTradeNo("2017092111121013133");
		model.setTotalAmount("0.01");
		model.setSubject("测试1");
		model.setTimeoutExpress("1m");
		request.setBizModel(model);
		AlipayTradePrecreateResponse response =  alipayClient.execute(request);
		if(response.isSuccess()){
			System.out.println("调用成功");
		} else {
			System.out.println("调用失败");
		}
		//条码支付详细信息
		System.out.println("条码支付详细信息："+response.getBody());
		//qr_Code当前预下单请求生成的二维码码串，可以用二维码生成工具根据该码串值生成对应的二维码
		System.out.println("二维码码串："+response.getQrCode());
	}
}
